Package org.eclipse.jgit.dircache

## Class DirCacheEditor.DeletePath

- java.lang.Object
- - org.eclipse.jgit.dircache.DirCacheEditor.PathEdit
  - - org.eclipse.jgit.dircache.DirCacheEditor.DeletePath

Enclosing class:
  DirCacheEditor

    public static final class DirCacheEditor.DeletePath
    extends DirCacheEditor.PathEdit

Deletes a single file entry from the index.

This deletion command removes only a single file at the given location, but removes multiple stages (if present) for that path. To remove a complete subtree use `DirCacheEditor.DeleteTree` instead.

See Also:
  `DirCacheEditor.DeleteTree`

### Constructor Summary

Constructors
`DeletePath​(String entryPath)` Create a new deletion command by path name.
`DeletePath​(DirCacheEntry ent)` Create a new deletion command for an existing entry instance.

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `apply​(DirCacheEntry ent)` Apply the update to a single cache entry matching the path.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### DeletePath

    public DeletePath​(String entryPath)

Create a new deletion command by path name.

Parameters:
  `entryPath` - path of the file within the repository.

#### DeletePath

    public DeletePath​(DirCacheEntry ent)

Create a new deletion command for an existing entry instance.

Parameters:
  `ent` - entry instance to remove. Only the path of this entry is actually considered during command evaluation.

### Method Detail

#### apply

    public void apply​(DirCacheEntry ent)

Description copied from class: `DirCacheEditor.PathEdit`
Apply the update to a single cache entry matching the path.

After apply is invoked the entry is added to the output table, and will be included in the new index.

Specified by:
  `apply` in class `DirCacheEditor.PathEdit`
Parameters:
  `ent` - the entry being processed. All fields are zeroed out if the path is a new path in the index.